# -*- coding: utf-8 -*-
from __future__ import annotations

from bthlabs_jsonrpc_core import register_method
from django.http import HttpRequest

from hotpocket_backend.apps.ui.services.workflows import CreateSaveWorkflow
from hotpocket_soa.dto.associations import AssociationOut


@register_method(method='saves.create')
def create(request: HttpRequest, url: str) -> AssociationOut:
    association = CreateSaveWorkflow().run_rpc(
        request=request,
        account=request.user,
        url=url,
    )

    return association
